# samples/07_video_convert/video_convert.h File Reference

`#include "NvVideoConverter.h"`
`#include <fstream>`
`#include <queue>`
`#include <pthread.h>`

Go to the source code of this file.

## Classes

struct | context_t

## Defines

#define | BUF_TYPE_NVPL 0
#define | BUF_TYPE_NVBL 1
#define | BUF_TYPE_RAW 2

## Functions

int | parse_csv_args (context_t *ctx, int argc, char *argv[])

## Define Documentation

#define BUF_TYPE_NVBL 1

Definition at line 35 of file video_convert.h.

#define BUF_TYPE_NVPL 0

Definition at line 34 of file video_convert.h.

#define BUF_TYPE_RAW 2

Definition at line 36 of file video_convert.h.

## Function Documentation

int parse_csv_args | ( | context_t * | ctx,
|  | int | argc,
|  | char * | argv[] |
| ) |  |  |

Definition at line 110 of file video_decode_csvparser.cpp.